#!/bin/sh

version=$(cat alpine-version)-$(cat atmark-version)
if ! git describe --exact-match >/dev/null 2>&1; then
	version=${version}.$(date +%Y%m%d)
fi
tarname=build-rootfs-${version}

if ! git diff-index --ignore-submodules=untracked --quiet HEAD; then
	echo "Git not clean, please check before making tarball"
	exit 1
fi

git ls-files --recurse-submodules | \
    tar -cazf "${tarname}.tar.gz" --xform "s:^:${tarname}/:" --verbatim-files-from -T-

echo "Created $tarname.tar.gz"
